#
# Conditional build:
%bcond_without	autodeps	# don't BR packages needed only for resolving deps
%bcond_without	tests		# do not perform "make test"

%define	pdir	Math
%define	pnam	Prime-XS
%include	/usr/lib/rpm/macros.perl
Summary:	Math::Prime::XS - Calculate/detect prime numbers with deterministic tests
Name:		perl-Math-Prime-XS
Version:	0.26_01
Release:	1
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/Math/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	b93a438fd10640b47910be8f9c3403ba
URL:		http://search.cpan.org/dist/Math-Prime-XS/
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
%if %{with autodeps} || %{with tests}
BuildRequires:	perl-boolean
%endif
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Math::Prime::XS calculates/detects prime numbers by either applying
Modulo operator division, the Sieve of Eratosthenes, Trial division or
a Summing calculation.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
	#config="optimize='%{rpmcflags}'" \
%{__perl} Build.PL \
	destdir=$RPM_BUILD_ROOT \
	installdirs=vendor
./Build

%{?with_tests:./Build test}

%install
rm -rf $RPM_BUILD_ROOT

./Build install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes INSTALL README
%dir %{perl_vendorarch}/Math/Prime
%{perl_vendorarch}/Math/Prime/XS.pm
%dir %{perl_vendorarch}/auto/Math/Prime
%dir %{perl_vendorarch}/auto/Math/Prime/XS
%attr(755,root,root) %{perl_vendorarch}/auto/Math/Prime/XS/*.so
%{_mandir}/man3/*
%changelog
* Wed Jun 10 2015 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/perl-Math-Prime-XS.git;a=log;h=master

* Wed Jun 10 2015 Arkadiusz Miśkiewicz <arekm@maven.pl> 1e403c5
- up to 0.26_01

* Tue Nov 25 2014 Elan Ruusamäe <glen@delfi.ee> b058f96
- use generic url

* Fri Sep 12 2014 Jan Rękorajski <baggins@pld-linux.org> 2c4ed98
- removed zero-sized .bs file

* Mon Jan 23 2012 zbyniu <zbyniu@pld-linux.org> ed39cbb
- up to 0.26

* Wed Aug 26 2009 amateja <amateja@pld-linux.org> 8e72d15
- updated to 0.20

* Fri Mar 21 2008 Maciej Pijanka <agaran@pld-linux.org> 1c4aba9
- initial, build/works here, rel 1

